/**
 * Styles for container layouts and info boxes using UAGB blocks.
 * Defines spacing, background, and responsive behavior for `.cont-bg`, `.cont-icons`, and related elements.
 */

.entry-content > .wp-block-uagb-container > .uagb-container-inner-blocks-wrap {
  max-width: 1239px !important;
  width: 90% !important;
}
/**CSS for gap large as main spacing*/
.wp-block-uagb-container.einleitung,
.wp-block-uagb-container.cont-slider-tab,
.wp-block-uagb-container.cont-img-tab,
.wp-block-uagb-container.cont-bg > .uagb-container-inner-blocks-wrap {
  gap: var(--gap-l) !important;
}

/**Container Hintergrund  (.cont-bg)*/

#main .wp-block-uagb-container.cont-bg {
  background-color: var(--ast-global-color-3);
  margin-top: var(--cont-gap);
  padding: var(--bg-padding) 0;
}

/**Container Icons  (.cont-icons) & Containing Info Box*/

.wp-block-uagb-container.cont-icons {
  margin-top: calc(var(--gap-xl) - var(--gap-l));
  gap: var(--gap-m);
}

.wp-block-uagb-info-box .uagb-ifb-content {
  display: grid;
  gap: var(--gap-s);
}

.uagb-ifb-image-content img {
  height: 63px !important;
  width: auto !important;
}

.uagb-ifb-title {
  margin-bottom: 0 !important;
}

.uagb-ifb-desc {
  margin-top: calc(var(--gap-m) - var(--gap-s)) !important;
}

/* GLOBAL */
:is(.einleitung, .uber-uns)
  .wp-block-uagb-container:has(> .wp-block-uagb-advanced-heading) {
  row-gap: var(--gap-m) !important;
}
/* CLAIM */
.wp-block-uagb-container.claim-section > .uagb-container-inner-blocks-wrap {
  background-color: var(--ast-global-color-3);
  text-align: center;
  padding-block: calc(var(--gap-m) * 0.8);
}

/* LEISTUNGEN */
.wp-block-uagb-container.leistungen .uagb-container-inner-blocks-wrap {
  gap: var(--gap-m) !important;
}

.wp-block-uagb-container.grid-leistungen > .wp-block-uagb-container {
  gap: 0 !important;
}

.wp-block-uagb-container.grid-leistungen {
  display: grid !important;
  grid-template-columns: repeat(auto-fit, minmax(315px, 1fr));
  gap: 1.15rem;
  margin-inline: auto;
}

.wp-block-uagb-container.grid-leistungen a {
  z-index: 0 !important;
}
.grid-leistungen
  .wp-block-uagb-container
  > .wp-block-uagb-container:has(h3):has(.wp-block-button) {
  background-color: var(--ast-global-color-2);
  padding-left: var(--gap-s);
}

/* KONTAKT */

.wp-block-uagb-container.kontakt {
  gap: 0;
}
/* KARTE */



.kontakt > .wp-block-uagb-container:first-child .wp-block-uagb-image figure {
  max-height: 621px;
}
/* logo size */
.wp-block-uagb-container.kontakt .logo {
  width: clamp(13.813rem, 11.692rem + 7.38vw, 19.625rem);
  min-width: 231px !important;
}
.wp-block-uagb-container.kontakt .logo img {
  min-width: 231px !important;
}

#kontakt > .wp-block-uagb-container:has(> .logo) {
  align-self: stretch;
  background-color: var(--ast-global-color-2);
  gap: var(--gap-m);
}

/* kontakt daten */
.wp-block-uagb-container.kontakt .logo + .wp-block-uagb-container {
  gap: 0;
}
.wp-block-uagb-container.kontakt .logo + .wp-block-uagb-container > p > a {
  text-decoration: none;
}

/* KONTENTENT PAGES */

body:not(.home) .entry-content h1 {
  margin-block: var(--gap-s) !important;
}

.wp-block-uagb-container.flex-start {
  align-items: flex-start !important;
}

@media (max-width: 1300px) {
  /* KONTAKT */
  .wp-block-uagb-container.kontakt {
    flex-direction: column-reverse;
  }

  .wp-block-uagb-container.kontakt * {
    max-width: 100% !important;
  }
  #kontakt > .wp-block-uagb-container:has(> .logo) {
    padding-block: calc(var(--gap-m) * 2.35);
  }

  .kontakt > .wp-block-uagb-container:first-child .wp-block-uagb-image figure img {
    max-height: 578px !important;
  }

}

@media (max-width: 990px) {
  #main .entry-content .einleitung {
    padding-top: var(--gap-m);
  }
  .uber-uns .uagb-container-inner-blocks-wrap,
  .einleitung .uagb-container-inner-blocks-wrap {
    flex-direction: column-reverse !important;
  }

  .uber-uns .uagb-container-inner-blocks-wrap,
  .einleitung .uagb-container-inner-blocks-wrap {
    gap: var(--gap-l) !important;
  }

  .uber-uns .uagb-container-inner-blocks-wrap *,
  .einleitung .uagb-container-inner-blocks-wrap * {
    max-width: 100% !important;
  }

  .uber-uns .uagb-container-inner-blocks-wrap img,
  .einleitung .uagb-container-inner-blocks-wrap img {
    width: 100% !important;
  }
}

/**Responsive Algemein*/
@media (max-width: 820px) {
  /**Container Icons  (.cont-icons) & Containing Info Box*/

  .wp-block-uagb-container.cont-icons {
    flex-direction: column;
    gap: var(--gap-xl);
  }

  /* Button width reset from 100% */
  .wp-block-uagb-buttons.uagb-buttons__outer-wrap.uagb-btn__default-btn.uagb-btn-tablet__default-btn.uagb-btn-mobile__default-btn {
    width: unset !important;
  }

  .wp-block-uagb-container.grid-leistungen {
    gap: var(--gap-s);
  }
}

@media only screen and (max-width: 767px) {
  .wp-block-uagb-image .wp-block-uagb-image__figure img {
    width: 100% !important;
  }
}

@media (max-width: 576px) {
  .entry-content
    > .wp-block-uagb-container.alignfull.uagb-is-root-container
    > .uagb-container-inner-blocks-wrap {
    width: 100% !important;
    margin-inline: 30px !important;
  }

  /**Einleitung  (.einleitung)*/

  /*   #main .entry-content > .einleitung {
    padding-top: var(--gap-xl);
  } */

  /**Container Hintergrund  (.cont-bg)*/
  #main .wp-block-uagb-container.cont-bg {
    padding: var(--cont-gap) 0;
  }

  /**Container Icons  (.cont-icons) & Containing Info Box*/
  .wp-block-uagb-container.cont-icons {
    margin-top: var(--gap-xl);
  }
}
